%define api	1
%define major	3
%define libname	%mklibname 3ds %{api} %{major}
%define devname	%mklibname 3ds -d

Name:		lib3ds
Version:	1.3.0
Release:	%mkrel 4
Summary:	3D Studio file format library
Group:		System/Libraries
License:	LGPLv2+
URL:		http://lib3ds.sourceforge.net
Source:		http://downloads.sourceforge.net/lib3ds/lib3ds-%{version}.zip
Patch0:		lib3ds-1.3.0-lib3ds-file.h.diff
Patch1:		lib3ds-1.3.0-lib3ds-mesh.c.diff
Patch2:		lib3ds-1.2.0-pkgconfig.diff
Patch3:		lib3ds-1.3.0-automake-1.13.patch

%description
lib3ds is a free ANSI-C library for working with the popular "3ds" 3D model
format.

Supported platforms include GNU (autoconf, automake, libtool, make, GCC) on
Unix and Cygwin, and MS Visual C++ 6.0. lib3ds loads and saves Atmosphere
settings, Background settings, Shadow map settings, Viewport setting,
Materials, Cameras, Lights, Meshes, Hierarchy, Animation keyframes. It also
contains useful matrix, vector and quaternion mathematics tools. lib3ds
usually integrates well with OpenGL. In addition, some diagnostic and
conversion tools are included.

%package -n %{libname}
Summary:	3D Studio file format library
Group:		System/Libraries

%description -n %{libname}
lib3ds is a free ANSI-C library for working with the popular "3ds" 3D model
format.

%package tools
Summary:	3D Studio file format library
Group:		Graphical desktop/Other

%description tools
Some tools to process 3ds files.

%package -n %{devname}
Summary:	Development files for %{name}
Group:		Development/Libraries
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}

%description -n %{devname}
This package contains the development files and headers for %{name}.

%prep
%setup -q
%apply_patches

%build
autoreconf -vfi
%configure2_5x  --disable-static
%make

sed -e 's,@prefix@,%{_prefix},' \
  -e 's,@exec_prefix@,%{_exec_prefix},' \
  -e 's,@libdir@,%{_libdir},' \
  -e 's,@includedir@,%{_includedir},' \
  -e 's,@VERSION@,%{version},' \
  lib3ds.pc.in > lib3ds.pc

%install
rm -rf %buildroot
%make_install

# pkgconfig file
install -Dpm 0644 lib3ds.pc %{buildroot}%{_libdir}/pkgconfig/%{name}.pc

# we don't want these
find %{buildroot} -name "*.la" -delete

%files -n %{libname}
%{_libdir}/%{name}-%{api}.so.%{major}
%{_libdir}/%{name}-%{api}.so.%{major}.*

%files tools
%{_bindir}/3dsdump
%{_mandir}/man1/3dsdump.1*

%files -n %{devname}
%{_bindir}/lib3ds-config
%{_libdir}/%{name}.so
%{_libdir}/pkgconfig/lib3ds.pc
%{_mandir}/man1/lib3ds-config.1*
%{_includedir}/lib3ds/
%{_datadir}/aclocal/*


%changelog
* Thu Jun 03 2021 tex - 1.3.0-4pclos2021
- rebuild against updates

* Fri Oct 18 2019 tex - 1.3.0-3pclos2019
- rebuild against updates

* Sat May 28 2016 bb <bb> 1.3.0-2pclos2016
- rebuild for 2016

